JBoss API: Interface ServerSessionPoolLoaderMBean

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.asf
Interface ServerSessionPoolLoaderMBean

All Superinterfaces:
  Service, ServiceMBean

All Known Implementing Classes:
  ServerSessionPoolLoader

public interface ServerSessionPoolLoaderMBean
extends ServiceMBean

The management interface for the `ServerSessionPoolLoader`.

Created: Wed Nov 29 16:20:17 2000

Version:
  $Revision: 1.2.6.3 $
Author:
  Peter Antman.

Field Summary
`static java.lang.String` | `OBJECT_NAME` The default MBean object name.

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Method Summary
`java.lang.String` | `getPoolFactoryClass()` Get the classname of pool factory to use.
`java.lang.String` | `getPoolName()` Get the pool name.
`void` | `setPoolFactoryClass(java.lang.String classname)` Set the classname of pool factory to use.
`void` | `setPoolName(java.lang.String name)` Set the pool name.

Methods inherited from interface org.jboss.util.ServiceMBean
`getName, getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Field Detail

### OBJECT_NAME

    public static final java.lang.String OBJECT_NAME

  The default MBean object name.

Method Detail

### setPoolName

    public void setPoolName(java.lang.String name)

  Set the pool name.
  Parameters:
    `name` - The pool name.

### getPoolName

    public java.lang.String getPoolName()

  Get the pool name.
  Returns:
    The pool name.

### setPoolFactoryClass

    public void setPoolFactoryClass(java.lang.String classname)

  Set the classname of pool factory to use.
  Parameters:
    `classname` - The name of the pool factory class.

### getPoolFactoryClass

    public java.lang.String getPoolFactoryClass()

  Get the classname of pool factory to use.
  Returns:
    The name of the pool factory class.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.